# Command: info

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    info - Display the contents of a dictionary

Synopsis:

    ostream dict info ->	-

Examples:

      std::cout  <> info

      shows

      --------------------------------------------------
      Name	 Type	 Value
      --------------------------------------------------
      a	 integertype	 1
      b	 doubletype	 2.5
      c	 stringtype	 Hallo World
      --------------------------------------------------
      Total number of dictionary entries: 3

Description:

      Prints the contents of the dictionary to the supplied stream.

Parameters:

      dict	- a dictionary
      No return values are given.

SeeAlso:

- info_ds
- topinfo_d
- who
- whos

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/slidict.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative